WEB AND DATABASE
document_java IL PROBLEMA
JBOSS vi ritorna il seguente errore:
jboss Syntax error, parameterized types are only available if source level is 5.0

LA CAUSA
Il problema è nella configurazione di JBOSS e nel codice della pagina JSP. In questo caso specifico, la pagina JSP utilizza codice java compatibile con il livello 5 (java 1.5), mentre JBOSS no.

LA SOLUZIONE
Bisogna aggiungere, o decommentare se già presente, il seguente codice:
<init-param>
<param-name>compilerSourceVM</param-name>
<param-value>1.5</param-value>
</init-param>

Il codice va aggiunto al file web.xml che contiene le configurazioni di JBOSS.
Ad es. lo potete trovare qui:
${jboss.home}/server/default/deploy/jboss-web.deployer/conf/web.xml
oppure qui
${jboss.home}/server/default/deploy/jbossweb-tomcat55.sar/conf/web.xml

Il codice visto sopra va messo nel file web.xml specificato e in particolare nel tag <servlet> con  <servlet-name>jsp</servlet-name>.

Il nostro sito utilizza i cookie

Usando il sito accetti implicitamente il loro uso. Per saperne di piu'

Approvo

Per ulteriori informazioni leggi il seguente articolo Privacy e Cookies